shadowsocks-libev (3.3.5+ds-16) unstable; urgency=medium

  * Team upload.
  * debian/control: Remove myself from the package uploaders list.

 -- Boyuan Yang <byang@debian.org>  Sun, 02 Mar 2025 22:07:16 -0500

shadowsocks-libev (3.3.5+ds-15) unstable; urgency=medium

  * symbols: update to fix build on hurd-amd64

 -- Aron Xu <aron@debian.org>  Tue, 18 Feb 2025 01:44:10 +0800

shadowsocks-libev (3.3.5+ds-14) unstable; urgency=medium

  * d/control: update to new salsa address
  * Revert "d/patches: update mbedtls3.6 patch to upstream version"

 -- Aron Xu <aron@debian.org>  Mon, 17 Feb 2025 18:01:15 +0800

shadowsocks-libev (3.3.5+ds-13) unstable; urgency=medium

  * d/patches: update mbedtls3.6 patch to upstream version
  * Add patch to avoid ephemeral port exhaustion
  * symbols: updated

 -- Aron Xu <aron@debian.org>  Sat, 15 Feb 2025 00:12:48 +0800

shadowsocks-libev (3.3.5+ds-12) unstable; urgency=medium

  * Non-maintainer upload to fix autopkgtest issues.
  * tests: disable rc4/md5 test which is disabled through weak ciphers
  * tests: move dnsutils to bind9-dnsutils

 -- Aron Xu <aron@debian.org>  Tue, 11 Feb 2025 16:40:53 +0800

shadowsocks-libev (3.3.5+ds-11) unstable; urgency=medium

  * Re-introduce shadowsocks-libev
  * d/patches: add patch to upgrade to pcre2 (closes: #999965)
  * d/patches: add patch to fix build with mbedtls 3+
  * d/patches: add Forwarded header to all patches
  * d/control: update std-ver to 4.7.0 (no changes required)
  * d/control: update obsolete B-D items
  * Move systemd units from /lib to /usr/lib for usr-merge in trixie
    (closes: #1073774)
  * Remove scripts dir (useless for end-users) from ss-libev.docs
    (closes: #972748)

 -- Shengqi Chen <harry-chen@outlook.com>  Tue, 08 Oct 2024 23:26:37 +0800

shadowsocks-libev (3.3.5+ds-10) unstable; urgency=medium

  * Revert the move of systemd service files from /lib/ to /usr/lib/.
    Still place systemd service files under /lib/systemd/system/.
    (Closes: #1034220)

 -- Boyuan Yang <byang@debian.org>  Fri, 14 Apr 2023 20:46:30 -0400

shadowsocks-libev (3.3.5+ds-9) unstable; urgency=medium

  [ Gioele Barabucci ]
  * d/shadowsocks-libev.postinst: Generate random password with tr
    instead of perl.

  [ Roger Shimizu ]
  * debian/patches: Backport patches from upstream to fix issues
    - [1630764] Fix --mptcp on 5.6+ kernels with IPPROTO_MPTCP rather
                than setsockopt.
    - [01dd7df] Redir UDP send back sockets should always be IPv6.
    - [d61d09a] Detect kernel support for MPTCP at runtime.
  * debian/symbols: Update symbol file by backported upstream patches.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Jan 2023 01:48:28 -0800

shadowsocks-libev (3.3.5+ds-8) unstable; urgency=medium

  * debian/patches: Backport trunk fixes till 2022-04-11.

 -- Roger Shimizu <rosh@debian.org>  Sun, 22 May 2022 00:26:42 +0900

shadowsocks-libev (3.3.5+ds-7) unstable; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster:
    + Build-Depends: Drop versioned constraint on libcork-dev and libsodium-dev.
    + shadowsocks-libev: Drop versioned constraint on lsb-base in Depends.

  [ Roger Shimizu ]
  * debian/patches: Backport trunk fixes till 2021-08-19.

 -- Roger Shimizu <rosh@debian.org>  Thu, 20 Jan 2022 02:14:11 +0900

shadowsocks-libev (3.3.5+ds-6) unstable; urgency=medium

  * debian/shadowsocks-libev.install: Install systemd system service
    files directly into /usr/lib/systemd/, not /lib/system/system/.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Sep 2021 12:42:44 -0400

shadowsocks-libev (3.3.5+ds-5) unstable; urgency=medium

  * Rebuild after Debian 11 release.
    + Place systemd system services in /usr/lib/systemd/system/.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + libshadowsocks-libev-dev: Drop versioned constraint on shadowsocks-libev
      in Breaks.
    + libshadowsocks-libev2: Drop versioned constraint on shadowsocks-libev in
      Breaks.
    + shadowsocks-libev: Drop versioned constraint on shadowsocks in Replaces.
    + shadowsocks-libev: Drop versioned constraint on shadowsocks in Breaks.

  [ Boyuan Yang ]
  * debian/salsa-ci.yml: Rename from gitlab-ci.yml.
  * Refresh packaging:
    + Bump to debhelper compat v13.
    + Bump to Standards-Version 4.6.0.
  * debian/*.service: Add Wants=network-online.target to ensure usable
    network before service starts. (upstream PR#2805)
  * debian/patches: Backport trunk fixes till 2021-03-16.
  * debian/patches/90: Add patch to use new location of libcorkipset
    headers to avoid build errors.

 -- Boyuan Yang <byang@debian.org>  Wed, 08 Sep 2021 12:17:39 -0400

shadowsocks-libev (3.3.5+ds-4) unstable; urgency=medium

  * debian/patches:
    - Update patch 04 to fix ftbfs for Hurd, again.

 -- Roger Shimizu <rosh@debian.org>  Tue, 22 Dec 2020 02:23:25 +0900

shadowsocks-libev (3.3.5+ds-3) unstable; urgency=medium

  * debian/patches:
    - Add patch 04 to fix ftbfs for Hurd since there is no IPV6_TCLASS
      defined.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Dec 2020 23:51:08 +0900

shadowsocks-libev (3.3.5+ds-2) unstable; urgency=medium

  * debian/patches:
    - Backport from upstream to fix manager not passing -i option.

 -- Roger Shimizu <rosh@debian.org>  Thu, 17 Dec 2020 02:52:25 +0900

shadowsocks-libev (3.3.5+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.5
  * debian/patches:
    - Refresh patches.
  * debian/copyright:
    - Remove src/json.*
    - Remove nonexisting entries: src/http.* src/protocol.h src/tls.*
  * Remove unused lintian-overrides.

 -- Roger Shimizu <rosh@debian.org>  Sat, 19 Sep 2020 18:00:05 +0900

shadowsocks-libev (3.3.4+ds-5) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).

  [ Roger Shimizu ]
  * d/maint-tools:
    - Update script to enable merging any upstream tag.
  * debian/patches:
    - Cherry-pick patches from upstream to fix FTBFS of gcc-10
      (Closes: #957789).
  * Update debian/libshadowsocks-libev2.symbols

 -- Roger Shimizu <rosh@debian.org>  Thu, 23 Jul 2020 22:53:37 +0900

shadowsocks-libev (3.3.4+ds-4) unstable; urgency=medium

  * debian/control and debian/patches:
    - Add support for libjsonparser-dev (Closes: #958255).
  * debian/libshadowsocks-libev2.symbols:
    - Remove symbols of json.
  * debian/control:
    - Bump debhelper version to 12.
    - Bump policy version to 4.5.0
  * debian/shadowsocks-libev.default and debian/shadowsocks-libev.init:
    - Remove START setting since systemd service won't check this
      and we should use "dh_installinit --no-enable" if need to disable
      it by default.
  * debian/rules:
    - Add more security hardening: -fPIC for CPPFLAGS and LDFLAGS.

 -- Roger Shimizu <rosh@debian.org>  Wed, 20 May 2020 22:54:38 +0900

shadowsocks-libev (3.3.4+ds-3) unstable; urgency=medium

  * debian/control:
    - Fix typo.
  * debian/config.json:
    - Change the default timeout value to 24h.

 -- Roger Shimizu <rosh@debian.org>  Sun, 29 Mar 2020 16:38:42 +0900

shadowsocks-libev (3.3.4+ds-2) unstable; urgency=medium

  * debian/patches/backport/0001: Backport upstream patch in allowing
    the tests to run with python3.
  * debian/patches/0002: Explicitly run tests with python3.

 -- Boyuan Yang <byang@debian.org>  Sun, 23 Feb 2020 14:48:04 -0500

shadowsocks-libev (3.3.4+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.4
    - Minor bug fixes. (#2539, #2565, #2566, #2577)
    - Security bug fixes. (CVE-2019-5163, CVE-2019-5164)

 -- Roger Shimizu <rosh@debian.org>  Sun, 12 Jan 2020 01:08:12 +0900

shadowsocks-libev (3.3.3+ds-3) unstable; urgency=medium

  * debian/patches:
    - Add 0006 patch to fix FTBFS for Hurd. The patch is already
      accepted by upstream.
    - Cherry-pick 0007 from upstream to fix QoS issue.

 -- Roger Shimizu <rosh@debian.org>  Thu, 05 Dec 2019 03:12:27 +0900

shadowsocks-libev (3.3.3+ds-2) unstable; urgency=medium

  * debian/control:
    - Add Rules-Requires-Root: no
    - Add to shadowsocks-libev according to lintian:
      + Pre-Depends: ${misc:Pre-Depends}
    - Bump DH version from 10 to 12.
  * Add debian/upstream/metadata.
  * debian/patches:
    - Move 0001 patch to backport folder.
    - Cherry pick a few patches from upstream to fix TALOS-2019-0956
      (CVE-2019-5163), and TALOS-2019-0958.
      + [1ba753a] Fix #2536, TALOS-2019-0956 (CVE-2019-5163), which is
        a bug that IPv6 local address is not initialized when binding
        an IPv6 socket.
      + [ce71f49][748e6f3] Fix #2537, TALOS-2019-0958.
        Default listening path of ss-manager has been changed to
        ~/.ss-manager.socks.
      + [6d73201] Fix #2539, introduced by #2259.
  * debian/compat: Bump from 10 to 12.

 -- Roger Shimizu <rosh@debian.org>  Sun, 01 Dec 2019 19:38:38 +0900

shadowsocks-libev (3.3.3+ds-1) unstable; urgency=medium

  * debian/*.service:
    - Run service in DynamicUser (Closes: #934186).
  * debian/control:
    - Use tracker mail as maintainer address.
  * debian/copyright:
    - Update copyright year and debian email for my entry.
  * debian/patches:
    - Add a patch to amend shadowsocks-libev.pc.in,
      to remove crypto library dependency. Thanks to lintian.

 -- Roger Shimizu <rosh@debian.org>  Sat, 23 Nov 2019 14:29:07 +0900

shadowsocks-libev (3.3.2+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.2
    + Refine the handling of fragment request.
    + Minor bug fixes.
  * debian/control:
    + Bump Standards-Version to 4.4.1.
  * debian/libshadowsocks-libev2.symbols: Add new symbol.

 -- Boyuan Yang <byang@debian.org>  Mon, 14 Oct 2019 14:51:22 -0400

shadowsocks-libev (3.3.1+ds-1) unstable; urgency=medium

  * New upstream release: v3.3.1
    - Fix a high CPU bug introduced in 3.3.0.
    - Fix MinGW build.
    - Minor bug fixes.

 -- Roger Shimizu <rosh@debian.org>  Thu, 15 Aug 2019 01:54:34 +0900

shadowsocks-libev (3.3.0+ds-1) unstable; urgency=medium

  [ Roger Shimizu ]
  * New upstream release: v3.3.0
    - Enlarge the socket buffer size to 16KB.
    - Fix the empty list bug in ss-manager.
    - Fix the IPv6 address parser.
  * debian/libshadowsocks-libev2.symbols: Update to fix FTBFS.

  [ Boyuan Yang ]
  * debian/*.service: Sync with upstream and require
    network-online.target instead of network.target.
  * debian/control: Bump Standards-Version to 4.4.0.
  * debian/shadowsocks-libev.lintian-overrides: Add overrides
    for systemd service templates that cannot fallback to sysvinit
    scripts.

 -- Boyuan Yang <byang@debian.org>  Sun, 14 Jul 2019 13:49:01 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog shadowsocks-libev`.
